Bug 99539 - USB devices die when using RPM GUI
USB devices die when using RPM GUI
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-21 15:31 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg after the problem occurs (7.57 KB, text/plain)
2003-07-24 12:24 EDT, Need Real Name
no flags Details
Output of dmesg after "rmmod hid", "modprobe hid" (8.20 KB, text/plain)
2003-07-24 17:21 EDT, Need Real Name
no flags Details
/proc/interrupts (407 bytes, text/plain)
2003-07-24 17:22 EDT, Need Real Name
no flags Details
/proc/modules (1.20 KB, text/plain)
2003-07-24 17:22 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-07-21 15:31:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When using the RPM GUI in RH9 all of the USB devices on my system die. This
includes my mouse and keyboard. The lights on the devices stay on but they do
nothing. If I try unplugging the devices and plugging them back in nothing happens. 

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Open an RPM file with the GUI program, Open the Add/Remove Applications
program, or try to install anything through the redhat network program.
2. Watch as the USB devices die.
3.
    

Actual Results:  My USB devices stopped working until I restarted my computer.

Expected Results:  My USB devices should have continued to work.

Additional info:

This happened on an Athlon XP system using an Abit KX7-333 which uses the
KT333/VT8233 chipset.
Comment 1 Pete Zaitcev 2003-07-23 19:09:57 EDT
I would like to see the output of dmesg, taken AFTER the occurence
(the one in /var/log/dmesg won't work). Please attach it to the
bug as attachement, do not drop it into the comments box.
Comment 2 Need Real Name 2003-07-24 12:24:08 EDT
Created attachment 93112 [details]
Output of dmesg after the problem occurs
Comment 3 Pete Zaitcev 2003-07-24 16:09:58 EDT
Perfect, thanks! Since we are doing so well, please do one more thing.
Unplug the mouse; on the console do "su -", then "rmmod hid", "modprobe hid",
plug the thing back, and collect the dmesg as before. I am curious to
see how it fails to come back, e.g. if it's he hub code, or hid code.

And also, please take /proc/interrupts and /proc/modules snapshot,
just to make sure that counters move and cs46xx does not do something wrong.
Comment 4 Need Real Name 2003-07-24 17:21:18 EDT
Created attachment 93123 [details]
Output of dmesg after "rmmod hid", "modprobe hid"

This is the output of dmesg after disconnecting the USB mouse, running "rmmod
hid"  and "modprobe hid" and then reconnecting the mouse.
Comment 5 Need Real Name 2003-07-24 17:22:10 EDT
Created attachment 93124 [details]
/proc/interrupts

I hope this is what you wanted
Comment 6 Need Real Name 2003-07-24 17:22:35 EDT
Created attachment 93125 [details]
/proc/modules
Comment 7 Pete Zaitcev 2003-07-24 17:32:10 EDT
Does the interrupt counter for IRQ10 move? I suspect interrupts ceased
to arrive for some reason. It's shared, so eth0 and sound both should be
quiet (cable pulled on Ethernet) while replugging the USB mouse.

If they arrive (counter moves), it's the usb-uhci problem.
If they don't, it's not narrowed. May be a hardware failure of
some sort...
Comment 8 Need Real Name 2003-07-25 11:52:18 EDT
The counter does change
Comment 9 Pete Zaitcev 2003-07-31 23:08:14 EDT
May I see output of "ps alx"? Making sure a) khubd is still alive,
b) no stuck processes are present.
Comment 10 Pete Zaitcev 2003-07-31 23:56:49 EDT
I failed to reproduce the problem so far, though my laptop is a little
different: only one UHCI controller, and ymfpci sound. Same 2.4.20-19.9.
Comment 11 Bugzilla owner 2004-09-30 11:41:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.